************************************************************************
* File: rom2int.for
************************************************************************
* Scopo: illustrare la compilazione separata - modulo chiamato
************************************************************************

      INTEGER FUNCTION Romano2Intero (ch)
* Modulo riusabile di conversione da caratteri "romani" a interi
      IMPLICIT NONE

* Dichiarazioni tipo parametri
*   parametri di input
      CHARACTER ch

      IF (ch .EQ. 'I') THEN
        Romano2Intero = 1
      ELSE IF (ch .EQ. 'V') THEN
        Romano2Intero = 5
      ELSE IF (ch .EQ. 'X') THEN
        Romano2Intero = 10
      ELSE IF (ch .EQ. 'L') THEN
        Romano2Intero = 50
      ELSE IF (ch .EQ. 'C') THEN
        Romano2Intero = 100
      ELSE IF (ch .EQ. 'D') THEN
        Romano2Intero = 500
      ELSE IF (ch .EQ. 'M') THEN
        Romano2Intero = 1000
      ELSE
        Romano2Intero = 0
      ENDIF

      END
